### Struct

# FwupdPlugin StructCfuOffer

#### Description

    struct FuStructCfuOffer {
      guint8 buf[];
      guint refcount;
    }

No description available.

###### Structure members

`buf:` `guint8`

  No description available.

`refcount:` `guint`

  No description available.

#### Functions

###### fu_struct_cfu_offer_new

No description available.

###### fu_struct_cfu_offer_parse_stream

No description available.

#### Instance methods

###### fu_struct_cfu_offer_get_compat_variant_mask

No description available.

###### fu_struct_cfu_offer_get_component_id

No description available.

###### fu_struct_cfu_offer_get_flags1

No description available.

###### fu_struct_cfu_offer_get_flags2

No description available.

###### fu_struct_cfu_offer_get_flags3

No description available.

###### fu_struct_cfu_offer_get_product_id

No description available.

###### fu_struct_cfu_offer_get_segment_number

No description available.

###### fu_struct_cfu_offer_get_token

No description available.

###### fu_struct_cfu_offer_get_version

No description available.

###### fu_struct_cfu_offer_ref

No description available.

###### fu_struct_cfu_offer_set_compat_variant_mask

No description available.

###### fu_struct_cfu_offer_set_component_id

No description available.

###### fu_struct_cfu_offer_set_flags1

No description available.

###### fu_struct_cfu_offer_set_flags2

No description available.

###### fu_struct_cfu_offer_set_flags3

No description available.

###### fu_struct_cfu_offer_set_product_id

No description available.

###### fu_struct_cfu_offer_set_segment_number

No description available.

###### fu_struct_cfu_offer_set_token

No description available.

###### fu_struct_cfu_offer_set_version

No description available.

###### fu_struct_cfu_offer_unref

No description available.